%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define fname pyparted

Summary: Python module for GNU parted
Name:    python-parted
Version: 3.0
Release: %mkrel 2
License: GPLv2+
Group:   System/Configuration/Hardware
URL:     http://fedorahosted.org/pyparted

Source0: http://fedorahosted.org/releases/p/y/%{fname}/%{fname}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python-devel
BuildRequires: parted-devel >= 1.9.0-20
BuildRequires: pkgconfig
BuildRequires: python-decorator

Requires: python-decorator

%description
Python module for the parted library.  It is used for manipulating
partition tables.

%prep
%setup -q -n %fname-%version

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}%{python_sitearch}/_pedmodule.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog NEWS README TODO
%{python_sitearch}/_pedmodule.so
%{python_sitearch}/parted



%changelog
* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 3.0-2mdv2010.1
+ Revision: 512204
- rebuild for new parted

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 3.0-1mdv2010.1
+ Revision: 493818
- update to new version 3.0

* Sun Dec 27 2009 Thierry Vignaud <tv@mandriva.org> 2.5-3mdv2010.1
+ Revision: 482658
- use full parted API now that RH patches are merged upstream

* Sun Dec 27 2009 Funda Wang <fwang@mandriva.org> 2.5-2mdv2010.1
+ Revision: 482623
- rebuild for new parted

* Sun Dec 20 2009 Thierry Vignaud <tv@mandriva.org> 2.5-1mdv2010.1
+ Revision: 480263
- import python-parted


* Sun Dec 20 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.5-1mdv2010.1
- initial release based on fedora package
- patch 0: build fixes
